1. Fiat Account Management
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
          POST
        • Get Fiat Account Application Status
          GET
        • Fiat Account Application Status Webhook
        • Add Bank Account
          POST
        • Get Bank Accounts
          GET
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Fiat Account Management

Create Fiat Account Application

POST
/v1.0/crm/fiatAccount/create
To create fiat account application
The following are list of the supporting document of a CORPORATE and INDIVIDUAL for supportingDocuments:
CORPORATE
DocumentsRemarks
Certificate of Incorporation / BizAcraColored copy
Certificate of Incumbency / NAR1 +BRO / BizAcraColored copy
Ownership Structure Chart (including % holdings) - 2 layers and aboveSigned and dated by Director within last 3 months
Copy of Passport for all UBOsColored copy, more than 6 months validity, Non-colored copy requires CTC
Proof of Address for UBOs and Authorised SignatoriesDated within the last 3 months
Board ResolutionSigned by one of the directors
Proof of SOF (HIGH RISK and/or PEP)Based on sourceOfFunds E.g. Loan agreement or sale agreement
Proof of Business IncomeDated within last 6 months. E.g. Client invoices/ contracts
INDIVIDUAL
DocumentsRemarks
Copy of Identity Card or PassportColored copy, more than 6 months validity, Non-colored copy requires CTC
Proof of Residential AddressE.g. utility bill, bank statement, tenancy agreement, government issued letter - dated within the last 3 months
Proof of SOF (HIGH RISK and/or PEP)Payslip, sale agreement, investment statement - dated within the last 3 months

Request

Authorization
Body Params application/json

Example
{
    "participantCode": "string",
    "country": "string",
    "currency": "string",
    "merchantDetails": {
        "additionalPersonalDetails": {
            "phoneNumber": "string",
            "emailAddress": "string",
            "occupation": "string",
            "industry": 1,
            "financialInfo": {
                "expectedTradingVolumePerMonth": 1,
                "expectedTradingFrequencyPerMonth": 1
            }
        },
        "supportingDocuments": "string"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1.0/crm/fiatAccount/create' \
--header 'Content-Type: application/json' \
--data-raw '{
    "participantCode": "string",
    "country": "string",
    "currency": "string",
    "merchantDetails": {
        "additionalPersonalDetails": {
            "phoneNumber": "string",
            "emailAddress": "string",
            "occupation": "string",
            "industry": 1,
            "financialInfo": {
                "expectedTradingVolumePerMonth": 1,
                "expectedTradingFrequencyPerMonth": 1
            }
        },
        "supportingDocuments": "string"
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "applicationId": "string",
        "participantCode": "string",
        "country": "string",
        "currency": "string",
        "merchantDetails": {
            "additionalPersonalDetails": {
                "phoneNumber": "string",
                "emailAddress": "string",
                "occupation": "string",
                "industry": 1,
                "financialInfo": {
                    "expectedTradingVolumePerMonth": 1,
                    "expectedTradingFrequencyPerMonth": 1
                }
            },
            "supportingDocuments": "string"
        },
        "accountDetails": [
            {
                "beneficiaryName": "string",
                "beneficiaryAddress": "string",
                "baNumber": "string",
                "swiftCode": "string",
                "countryCode": "string",
                "bankName": "string",
                "bankAddress": "string",
                "intermediarySwiftCode": "string",
                "intermediaryCountryCode": "string",
                "intermediaryBankName": "string",
                "intermediaryBankAddress": "string",
                "currency": "string",
                "paymentReference": "string",
                "accountId": "string"
            }
        ],
        "status": 1,
        "statusInfo": "string",
        "createdAt": 0,
        "updatedAt": 0
    }
}
🟢200成功
Modified at 2026-04-02 07:49:28
Previous
Fiat Deposit Webhook
Next
Get Fiat Account Application Status
Built with